Subject: bug#36769: closed (Re: portable dumper mishandles user-defined hashtabs)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 23 Jul 2019 02:07:03 +0000

Your bug report

#36769: portable dumper mishandles user-defined hashtabs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36769: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36769
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: portable dumper mishandles user-defined hashtabs
From: Paul Eggert <[email-masked]>
To: [email-masked]
Date: Mon, 22 Jul 2019 19:06:12 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing this as I installed a patch as described here:

https://lists.gnu.org/r/emacs-devel/2019-07/msg00563.html

Subject: portable dumper mishandles user-defined hashtabs
From: Paul Eggert <[email-masked]>
To: Emacs bug reports and feature requests <[email-masked]>
Date: Mon, 22 Jul 2019 18:29:15 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

[I reported this problem on emacs-devel here:
https://lists.gnu.org/r/emacs-devel/2019-07/msg00544.html
and am sending this to bug-gnu-emacs to get a bug number.]

Portable dumping currently can screw up hash tables with user-defined tests. I 
discovered this over the weekend while looking into Pip Cet's proposed changes 
to how portable dumping treats hash tables, and have a contrived test case (see 
attached) that causes gethash to fail with "Lisp nesting exceeds 
‘max-lisp-eval-depth’" in an Emacs started via a portable dump, even though the 
same gethash works fine before dumping.